# Generated by Django 3.0.2 on 2020-02-23 16:53

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='Product',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=50)),
                ('image', models.ImageField(blank=True, null=True, upload_to='products')),
                ('description', models.CharField(blank=True, max_length=100, null=True)),
                ('acquisition_date', models.DateField()),
                ('expiration_date', models.DateField()),
                ('vouche_image', models.ImageField(blank=True, null=True, upload_to='products')),
                ('status', models.CharField(blank=True, choices=[('GR', 'great'), ('GO', 'good'), ('AL', 'almost'), ('EX', 'expired')], max_length=2, null=True)),
                ('myuser', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
        ),
    ]
